// $Rev: 797 $ $LastChangedDate: 2002-08-31 22:20:09 +0200 (Sat, 31 Aug 2002) $

struct foo {
	string bar;
	string baz;
	int qux;
}

def print_foo(f)
{
	puts("bar = " + f.bar + " baz = " + f.baz + " qux = " + itoa(f.qux) + "\n");
}

section init 
{
	_ x = {bar = "bla_bar", baz = "bla_baz", qux = 15};
	print_foo(x);
	print_foo(x with {qux = 17, bar = "ble"});
	_ y = x with {qux = 3};
	print_foo(y);
	y.qux = 5;
	print_foo(x);
	print_foo(y);

}

/* 
 * expected-build-status: ok
 * run-test: yes
 * expected-output: bar = bla_bar baz = bla_baz qux = 15
 * expected-output: bar = ble baz = bla_baz qux = 17
 * expected-output: bar = bla_bar baz = bla_baz qux = 3
 * expected-output: bar = bla_bar baz = bla_baz qux = 15
 * expected-output: bar = bla_bar baz = bla_baz qux = 5
 */
