/**
+ Intro

This document is meant as a brief tutorial to get going with Gont.
I assume reader is fairly familiar with C.  It has been generated
from commentented examples sources.  These files can be found in
Gont source distribution in doc/tutorial/ directory.

+ Hello world

First example is quite canonical :)
*/

section init
{
	puts("Hello world!\n");
}

/**
In order to compile it issue command [gontc -e t00_hello.g].  We will talk
about [-e] later, when we get to modules.  For now just take [gontc -e]
as magic spell to compile Gont programs :-)

Ok, now something about the example.  There is no [main()] function
in Gont.  Instead one can use [init] and [fini] sections to mark code
to be executed at initialization and finalization of module respectively.
If you lack [main()] you can call one of your functions [main] and call
it from [init] section.  When using just one module, as we do now,
there is not much point in [fini] sections so we'll leave them for now.

[puts(s)] prints [s] on standard output.  There is also [print_string]
alias for [puts].  [puts()] function, unlike in C, does not add new line
after string, we need to do that explicitly.
*/
